\section{Open\-MPI Data Structures}
Here are the data structures with brief descriptions:\begin{CompactList}
\item\contentsline{section}{\hyperlink{structmca__allocator__base__component__1__0__0__t}{mca\_\-allocator\_\-base\_\-component\_\-1\_\-0\_\-0\_\-t} (The data structure provided by each component to the framework which describes the component )}{\pageref{structmca__allocator__base__component__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structmca__allocator__base__module__t}{mca\_\-allocator\_\-base\_\-module\_\-t} (The data structure for each component )}{\pageref{structmca__allocator__base__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__allocator__base__selected__module__t}{mca\_\-allocator\_\-base\_\-selected\_\-module\_\-t} (Structure which describes a selected module )}{\pageref{structmca__allocator__base__selected__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__allocator__bucket__bucket__t}{mca\_\-allocator\_\-bucket\_\-bucket\_\-t} (Structure for each bucket )}{\pageref{structmca__allocator__bucket__bucket__t}}{}
\item\contentsline{section}{\hyperlink{structmca__allocator__bucket__chunk__header__t}{mca\_\-allocator\_\-bucket\_\-chunk\_\-header\_\-t} (Structure for the header of each memory chunk )}{\pageref{structmca__allocator__bucket__chunk__header__t}}{}
\item\contentsline{section}{\hyperlink{unionmca__allocator__bucket__chunk__header__t_1_1u}{mca\_\-allocator\_\-bucket\_\-chunk\_\-header\_\-t::u} (Union which holds either a pointer to the next free chunk or the bucket number )}{\pageref{unionmca__allocator__bucket__chunk__header__t_1_1u}}{}
\item\contentsline{section}{\hyperlink{structmca__allocator__bucket__segment__head__t}{mca\_\-allocator\_\-bucket\_\-segment\_\-head\_\-t} (Structure that heads each segment )}{\pageref{structmca__allocator__bucket__segment__head__t}}{}
\item\contentsline{section}{\hyperlink{structmca__allocator__bucket__t}{mca\_\-allocator\_\-bucket\_\-t} (Structure that holds the necessary information for each area of memory )}{\pageref{structmca__allocator__bucket__t}}{}
\item\contentsline{section}{\hyperlink{structmca__base__component__data__1__0__0__t}{mca\_\-base\_\-component\_\-data\_\-1\_\-0\_\-0\_\-t} (Meta data for MCA v1.0.0 components )}{\pageref{structmca__base__component__data__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structmca__base__component__t}{mca\_\-base\_\-component\_\-t} (Common type for all MCA components )}{\pageref{structmca__base__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__base__param__info__t}{mca\_\-base\_\-param\_\-info\_\-t} (Struct for holding name/type info )}{\pageref{structmca__base__param__info__t}}{}
\item\contentsline{section}{\hyperlink{structmca__bml__base__btl__array__t}{mca\_\-bml\_\-base\_\-btl\_\-array\_\-t} (A dynamically growable array of mca\_\-bml\_\-base\_\-btl\_\-t instances )}{\pageref{structmca__bml__base__btl__array__t}}{}
\item\contentsline{section}{\hyperlink{structmca__bml__base__component__1__0__0__t}{mca\_\-bml\_\-base\_\-component\_\-1\_\-0\_\-0\_\-t} (BML component descriptor )}{\pageref{structmca__bml__base__component__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structmca__bml__base__endpoint__t}{mca\_\-bml\_\-base\_\-endpoint\_\-t} (Structure associated w/ ompi\_\-proc\_\-t that contains the set of BTLs used to reach a destinationation )}{\pageref{structmca__bml__base__endpoint__t}}{}
\item\contentsline{section}{\hyperlink{structmca__bml__base__module__t}{mca\_\-bml\_\-base\_\-module\_\-t} (BML module interface functions and attributes )}{\pageref{structmca__bml__base__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__bml__r2__module__t}{mca\_\-bml\_\-r2\_\-module\_\-t} (BML module interface functions and attributes )}{\pageref{structmca__bml__r2__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__base__component__1__0__0__t}{mca\_\-btl\_\-base\_\-component\_\-1\_\-0\_\-0\_\-t} (BTL component descriptor )}{\pageref{structmca__btl__base__component__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__base__descriptor__t}{mca\_\-btl\_\-base\_\-descriptor\_\-t} (A descriptor that holds the parameters to a send/put/get operation along w/ a callback routine that is called on completion of the request )}{\pageref{structmca__btl__base__descriptor__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__base__endpoint__t}{mca\_\-btl\_\-base\_\-endpoint\_\-t} (An abstraction that represents a connection to a endpoint process )}{\pageref{structmca__btl__base__endpoint__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__base__module__t}{mca\_\-btl\_\-base\_\-module\_\-t} (BTL module interface functions and attributes )}{\pageref{structmca__btl__base__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__base__segment__t}{mca\_\-btl\_\-base\_\-segment\_\-t} (Describes a region/segment of memory that is addressable by an BTL )}{\pageref{structmca__btl__base__segment__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__gm__addr__t}{mca\_\-btl\_\-gm\_\-addr\_\-t} (Structure used to publish GM id information to peers )}{\pageref{structmca__btl__gm__addr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__gm__component__t}{mca\_\-btl\_\-gm\_\-component\_\-t} (Myrinet (GM) BTL component )}{\pageref{structmca__btl__gm__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__gm__frag__t}{mca\_\-btl\_\-gm\_\-frag\_\-t} (GM send fragment derived type )}{\pageref{structmca__btl__gm__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__gm__module__t}{mca\_\-btl\_\-gm\_\-module\_\-t} (BTL Module Interface )}{\pageref{structmca__btl__gm__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__gm__proc__t}{mca\_\-btl\_\-gm\_\-proc\_\-t} (Represents the state of a remote process and the set of addresses that it exports )}{\pageref{structmca__btl__gm__proc__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__llc__addr__t}{mca\_\-btl\_\-llc\_\-addr\_\-t} (Structure used to publish LLC connection information to peers )}{\pageref{structmca__btl__llc__addr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__llc__component__t}{mca\_\-btl\_\-llc\_\-component\_\-t} (Infiniband (LLC) BTL component )}{\pageref{structmca__btl__llc__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__llc__frag__t}{mca\_\-btl\_\-llc\_\-frag\_\-t} (LLC fragment derived type )}{\pageref{structmca__btl__llc__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__llc__module__t}{mca\_\-btl\_\-llc\_\-module\_\-t} (BTL Module Interface )}{\pageref{structmca__btl__llc__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__llc__proc__t}{mca\_\-btl\_\-llc\_\-proc\_\-t} (Represents the state of a remote process and the set of addresses that it exports )}{\pageref{structmca__btl__llc__proc__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__mvapi__component__t}{mca\_\-btl\_\-mvapi\_\-component\_\-t} (Infiniband (IB) BTL component )}{\pageref{structmca__btl__mvapi__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__mvapi__frag__t}{mca\_\-btl\_\-mvapi\_\-frag\_\-t} (IB send fragment derived type )}{\pageref{structmca__btl__mvapi__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__mvapi__module__t}{mca\_\-btl\_\-mvapi\_\-module\_\-t} (IB PTL Interface )}{\pageref{structmca__btl__mvapi__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__mvapi__proc__t}{mca\_\-btl\_\-mvapi\_\-proc\_\-t} (Represents the state of a remote process and the set of addresses that it exports )}{\pageref{structmca__btl__mvapi__proc__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__mx__addr__t}{mca\_\-btl\_\-mx\_\-addr\_\-t} (Structure used to publish MX information to peers )}{\pageref{structmca__btl__mx__addr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__mx__component__t}{mca\_\-btl\_\-mx\_\-component\_\-t} (MX BTL component )}{\pageref{structmca__btl__mx__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__mx__frag__t}{mca\_\-btl\_\-mx\_\-frag\_\-t} (MX send framxent derived type )}{\pageref{structmca__btl__mx__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__mx__module__t}{mca\_\-btl\_\-mx\_\-module\_\-t} (BTL Module Interface )}{\pageref{structmca__btl__mx__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__mx__proc__t}{mca\_\-btl\_\-mx\_\-proc\_\-t} (Represents the state of a remote process and the set of addresses that it exports )}{\pageref{structmca__btl__mx__proc__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__openib__component__t}{mca\_\-btl\_\-openib\_\-component\_\-t} (Infiniband (IB) BTL component )}{\pageref{structmca__btl__openib__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__openib__frag__t}{mca\_\-btl\_\-openib\_\-frag\_\-t} (IB send fragment derived type )}{\pageref{structmca__btl__openib__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__openib__module__t}{mca\_\-btl\_\-openib\_\-module\_\-t} (IB PTL Interface )}{\pageref{structmca__btl__openib__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__openib__proc__t}{mca\_\-btl\_\-openib\_\-proc\_\-t} (Represents the state of a remote process and the set of addresses that it exports )}{\pageref{structmca__btl__openib__proc__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__portals__frag__t}{mca\_\-btl\_\-portals\_\-frag\_\-t} (Portals send fragment derived type )}{\pageref{structmca__btl__portals__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__self__component__t}{mca\_\-btl\_\-self\_\-component\_\-t} (Shared Memory (SELF) BTL module )}{\pageref{structmca__btl__self__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__self__frag__t}{mca\_\-btl\_\-self\_\-frag\_\-t} (Shared memory send fragment derived type )}{\pageref{structmca__btl__self__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__sm__component__t}{mca\_\-btl\_\-sm\_\-component\_\-t} (Shared Memory (SM) BTL module )}{\pageref{structmca__btl__sm__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__sm__frag__t}{mca\_\-btl\_\-sm\_\-frag\_\-t} (Shared memory send fragment derived type )}{\pageref{structmca__btl__sm__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__sm__t}{mca\_\-btl\_\-sm\_\-t} (SM BTL Interface )}{\pageref{structmca__btl__sm__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__tcp__addr__t}{mca\_\-btl\_\-tcp\_\-addr\_\-t} (Structure used to publish TCP connection information to peers )}{\pageref{structmca__btl__tcp__addr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__tcp__component__t}{mca\_\-btl\_\-tcp\_\-component\_\-t} (Infiniband (TCP) BTL component )}{\pageref{structmca__btl__tcp__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__tcp__frag__t}{mca\_\-btl\_\-tcp\_\-frag\_\-t} (TCP fragment derived type )}{\pageref{structmca__btl__tcp__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__tcp__module__t}{mca\_\-btl\_\-tcp\_\-module\_\-t} (BTL Module Interface )}{\pageref{structmca__btl__tcp__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__btl__tcp__proc__t}{mca\_\-btl\_\-tcp\_\-proc\_\-t} (Represents the state of a remote process and the set of addresses that it exports )}{\pageref{structmca__btl__tcp__proc__t}}{}
\item\contentsline{section}{\hyperlink{structmca__coll__base__comm__t}{mca\_\-coll\_\-base\_\-comm\_\-t} (Structure for the sm coll module to hang off the communicator )}{\pageref{structmca__coll__base__comm__t}}{}
\item\contentsline{section}{\hyperlink{structmca__coll__base__mpool__index__t}{mca\_\-coll\_\-base\_\-mpool\_\-index\_\-t} (Structure containing pointers to various arrays of data in the data mpool area (one of these indexes a single segment in the data mpool) )}{\pageref{structmca__coll__base__mpool__index__t}}{}
\item\contentsline{section}{\hyperlink{structmca__coll__sm__bootstrap__comm__key__t}{mca\_\-coll\_\-sm\_\-bootstrap\_\-comm\_\-key\_\-t} (Structure that acts as a key for the bootstrap area -- a segment in the bootstrap mpool is uniquely identified by its CID and the process name of rank 0 in the group )}{\pageref{structmca__coll__sm__bootstrap__comm__key__t}}{}
\item\contentsline{section}{\hyperlink{structmca__coll__sm__bootstrap__comm__setup__t}{mca\_\-coll\_\-sm\_\-bootstrap\_\-comm\_\-setup\_\-t} (Structure used within bootstrap mmap file for setting up a coll sm component on a communicator )}{\pageref{structmca__coll__sm__bootstrap__comm__setup__t}}{}
\item\contentsline{section}{\hyperlink{structmca__coll__sm__bootstrap__header__extension__t}{mca\_\-coll\_\-sm\_\-bootstrap\_\-header\_\-extension\_\-t} (Extension to the control structure in the bootstrap mmap file )}{\pageref{structmca__coll__sm__bootstrap__header__extension__t}}{}
\item\contentsline{section}{\hyperlink{structmca__coll__sm__component__t}{mca\_\-coll\_\-sm\_\-component\_\-t} (Structure to hold the sm coll component )}{\pageref{structmca__coll__sm__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__coll__sm__in__use__flag__t}{mca\_\-coll\_\-sm\_\-in\_\-use\_\-flag\_\-t} (Simple structure comprising the \char`\"{}in use\char`\"{} flags )}{\pageref{structmca__coll__sm__in__use__flag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__coll__sm__tree__node__t}{mca\_\-coll\_\-sm\_\-tree\_\-node\_\-t} (Structure for representing a node in the tree )}{\pageref{structmca__coll__sm__tree__node__t}}{}
\item\contentsline{section}{\hyperlink{structmca__io__base__request__t}{mca\_\-io\_\-base\_\-request\_\-t} (Base request type )}{\pageref{structmca__io__base__request__t}}{}
\item\contentsline{section}{\hyperlink{structmca__mpool__base__component__1__0__0__t}{mca\_\-mpool\_\-base\_\-component\_\-1\_\-0\_\-0\_\-t} (Mpool component descriptor )}{\pageref{structmca__mpool__base__component__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structmca__mpool__base__module__t}{mca\_\-mpool\_\-base\_\-module\_\-t} (Mpool module descriptor )}{\pageref{structmca__mpool__base__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__oob__1__0__0__t}{mca\_\-oob\_\-1\_\-0\_\-0\_\-t} (OOB Module )}{\pageref{structmca__oob__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structmca__oob__base__component__1__0__0__t}{mca\_\-oob\_\-base\_\-component\_\-1\_\-0\_\-0\_\-t} (Standard component data structure )}{\pageref{structmca__oob__base__component__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structmca__oob__base__exception__handler__t}{mca\_\-oob\_\-base\_\-exception\_\-handler\_\-t} (List of registrations of exception callbacks )}{\pageref{structmca__oob__base__exception__handler__t}}{}
\item\contentsline{section}{\hyperlink{structmca__oob__base__info__t}{mca\_\-oob\_\-base\_\-info\_\-t} (Associate a component and a module that belongs to it )}{\pageref{structmca__oob__base__info__t}}{}
\item\contentsline{section}{\hyperlink{structmca__oob__llc__addr__t}{mca\_\-oob\_\-llc\_\-addr\_\-t} (Address info published to registry )}{\pageref{structmca__oob__llc__addr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__oob__llc__component__t}{mca\_\-oob\_\-llc\_\-component\_\-t} (OOB LLC Component )}{\pageref{structmca__oob__llc__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__oob__llc__hdr__t}{mca\_\-oob\_\-llc\_\-hdr\_\-t} (Header used by llc oob protocol )}{\pageref{structmca__oob__llc__hdr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__oob__llc__msg__t}{mca\_\-oob\_\-llc\_\-msg\_\-t} (Describes each message being progressed )}{\pageref{structmca__oob__llc__msg__t}}{}
\item\contentsline{section}{\hyperlink{structmca__oob__llc__peer__t}{mca\_\-oob\_\-llc\_\-peer\_\-t} (This structure describes a peer )}{\pageref{structmca__oob__llc__peer__t}}{}
\item\contentsline{section}{\hyperlink{structmca__oob__tcp__addr__t}{mca\_\-oob\_\-tcp\_\-addr\_\-t} (Address info published to registry )}{\pageref{structmca__oob__tcp__addr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__oob__tcp__component__t}{mca\_\-oob\_\-tcp\_\-component\_\-t} (OOB TCP Component )}{\pageref{structmca__oob__tcp__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__oob__tcp__hdr__t}{mca\_\-oob\_\-tcp\_\-hdr\_\-t} (Header used by tcp oob protocol )}{\pageref{structmca__oob__tcp__hdr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__oob__tcp__msg__t}{mca\_\-oob\_\-tcp\_\-msg\_\-t} (Describes each message being progressed )}{\pageref{structmca__oob__tcp__msg__t}}{}
\item\contentsline{section}{\hyperlink{structmca__oob__tcp__peer__t}{mca\_\-oob\_\-tcp\_\-peer\_\-t} (This structure describes a peer )}{\pageref{structmca__oob__tcp__peer__t}}{}
\item\contentsline{section}{\hyperlink{structmca__oob__xcast__t}{mca\_\-oob\_\-xcast\_\-t} (A \char`\"{}broadcast-like\char`\"{} function over the specified set of peers )}{\pageref{structmca__oob__xcast__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__base__component__1__0__0__t}{mca\_\-pml\_\-base\_\-component\_\-1\_\-0\_\-0\_\-t} (PML component version and interface functions )}{\pageref{structmca__pml__base__component__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__base__modex__module__t}{mca\_\-pml\_\-base\_\-modex\_\-module\_\-t} (Mca\_\-pml\_\-base\_\-modex\_\-module\_\-t )}{\pageref{structmca__pml__base__modex__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__base__modex__subscription__t}{mca\_\-pml\_\-base\_\-modex\_\-subscription\_\-t} (Mca\_\-pml\_\-base\_\-modex\_\-subscription\_\-t )}{\pageref{structmca__pml__base__modex__subscription__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__base__modex__t}{mca\_\-pml\_\-base\_\-modex\_\-t} (Mca\_\-pml\_\-base\_\-modex\_\-t )}{\pageref{structmca__pml__base__modex__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__base__module__1__0__0__t}{mca\_\-pml\_\-base\_\-module\_\-1\_\-0\_\-0\_\-t} (PML instance )}{\pageref{structmca__pml__base__module__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__base__recv__request__t}{mca\_\-pml\_\-base\_\-recv\_\-request\_\-t} (Base type for receive requests )}{\pageref{structmca__pml__base__recv__request__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__base__request__t}{mca\_\-pml\_\-base\_\-request\_\-t} (Base type for PML P2P requests )}{\pageref{structmca__pml__base__request__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__base__send__request__t}{mca\_\-pml\_\-base\_\-send\_\-request\_\-t} (Base type for send requests )}{\pageref{structmca__pml__base__send__request__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__comm__t}{mca\_\-pml\_\-comm\_\-t} (Cached on ompi\_\-communicator\_\-t to hold queues/state used by the PML$<$-$>$PTL interface for matching logic )}{\pageref{structmca__pml__comm__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__ob1__ack__hdr__t}{mca\_\-pml\_\-ob1\_\-ack\_\-hdr\_\-t} (Header used to acknowledgment outstanding fragment(s) )}{\pageref{structmca__pml__ob1__ack__hdr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__ob1__common__hdr__t}{mca\_\-pml\_\-ob1\_\-common\_\-hdr\_\-t} (Common hdr attributes - must be first element in each hdr type )}{\pageref{structmca__pml__ob1__common__hdr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__ob1__fin__hdr__t}{mca\_\-pml\_\-ob1\_\-fin\_\-hdr\_\-t} (Header used to complete an RDMA operation )}{\pageref{structmca__pml__ob1__fin__hdr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__ob1__frag__hdr__t}{mca\_\-pml\_\-ob1\_\-frag\_\-hdr\_\-t} (Header for subsequent fragments )}{\pageref{structmca__pml__ob1__frag__hdr__t}}{}
\item\contentsline{section}{\hyperlink{unionmca__pml__ob1__hdr__t}{mca\_\-pml\_\-ob1\_\-hdr\_\-t} (Union of defined hdr types )}{\pageref{unionmca__pml__ob1__hdr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__ob1__match__hdr__t}{mca\_\-pml\_\-ob1\_\-match\_\-hdr\_\-t} (Header definition for the first fragment, contains the attributes required to match the corresponding posted receive )}{\pageref{structmca__pml__ob1__match__hdr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__ob1__proc__t}{mca\_\-pml\_\-ob1\_\-proc\_\-t} (Structure associated w/ ompi\_\-proc\_\-t that contains data specific to the PML )}{\pageref{structmca__pml__ob1__proc__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__ob1__rdma__btl__t}{mca\_\-pml\_\-ob1\_\-rdma\_\-btl\_\-t} (Structure to associate RDMA capable BTL(s) with corresponding registration )}{\pageref{structmca__pml__ob1__rdma__btl__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__ob1__rdma__hdr__t}{mca\_\-pml\_\-ob1\_\-rdma\_\-hdr\_\-t} (Header used to initiate an RDMA operation )}{\pageref{structmca__pml__ob1__rdma__hdr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__ob1__rdma__reg__t}{mca\_\-pml\_\-ob1\_\-rdma\_\-reg\_\-t} (Structure to associate rdma btl with a registration )}{\pageref{structmca__pml__ob1__rdma__reg__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__ob1__rendezvous__hdr__t}{mca\_\-pml\_\-ob1\_\-rendezvous\_\-hdr\_\-t} (Header definition for the first fragment when an acknowledgment is required )}{\pageref{structmca__pml__ob1__rendezvous__hdr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__ob1__rget__hdr__t}{mca\_\-pml\_\-ob1\_\-rget\_\-hdr\_\-t} (Header definition for a combined rdma rendezvous/get )}{\pageref{structmca__pml__ob1__rget__hdr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__ob1__t}{mca\_\-pml\_\-ob1\_\-t} (OB1 PML module )}{\pageref{structmca__pml__ob1__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__teg__proc__t}{mca\_\-pml\_\-teg\_\-proc\_\-t} (Structure associated w/ ompi\_\-proc\_\-t that contains data specific to the PML )}{\pageref{structmca__pml__teg__proc__t}}{}
\item\contentsline{section}{\hyperlink{structmca__pml__teg__t}{mca\_\-pml\_\-teg\_\-t} (TEG PML module )}{\pageref{structmca__pml__teg__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__array__t}{mca\_\-ptl\_\-array\_\-t} (A dynamically growable array of \hyperlink{structmca__ptl__proc__t}{mca\_\-ptl\_\-proc\_\-t} instances )}{\pageref{structmca__ptl__array__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__base__ack__header__t}{mca\_\-ptl\_\-base\_\-ack\_\-header\_\-t} (Header used to acknowledgment outstanding fragment(s) )}{\pageref{structmca__ptl__base__ack__header__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__base__common__header__t}{mca\_\-ptl\_\-base\_\-common\_\-header\_\-t} (Common header attributes - must be first element in each header type )}{\pageref{structmca__ptl__base__common__header__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__base__component__1__0__0__t}{mca\_\-ptl\_\-base\_\-component\_\-1\_\-0\_\-0\_\-t} (PTL component descriptor )}{\pageref{structmca__ptl__base__component__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__base__frag__header__t}{mca\_\-ptl\_\-base\_\-frag\_\-header\_\-t} (Header for subsequent fragments )}{\pageref{structmca__ptl__base__frag__header__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__base__frag__t}{mca\_\-ptl\_\-base\_\-frag\_\-t} (Base type for fragment descriptors )}{\pageref{structmca__ptl__base__frag__t}}{}
\item\contentsline{section}{\hyperlink{unionmca__ptl__base__header__t}{mca\_\-ptl\_\-base\_\-header\_\-t} (Union of defined header types )}{\pageref{unionmca__ptl__base__header__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__base__match__header__t}{mca\_\-ptl\_\-base\_\-match\_\-header\_\-t} (Header definition for the first fragment, contains the attributes required to match the corresponding posted receive )}{\pageref{structmca__ptl__base__match__header__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__base__module__t}{mca\_\-ptl\_\-base\_\-module\_\-t} (PTL instance interface functions and attributes )}{\pageref{structmca__ptl__base__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__base__peer__t}{mca\_\-ptl\_\-base\_\-peer\_\-t} (An abstraction that represents a connection to a peer process )}{\pageref{structmca__ptl__base__peer__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__base__recv__frag__t}{mca\_\-ptl\_\-base\_\-recv\_\-frag\_\-t} (Base type for receive fragment descriptors )}{\pageref{structmca__ptl__base__recv__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__base__recv__request__t}{mca\_\-ptl\_\-base\_\-recv\_\-request\_\-t} (Base type for recv requests )}{\pageref{structmca__ptl__base__recv__request__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__base__rendezvous__header__t}{mca\_\-ptl\_\-base\_\-rendezvous\_\-header\_\-t} (Header definition for the first fragment when an acknowledgment is required )}{\pageref{structmca__ptl__base__rendezvous__header__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__base__send__frag__t}{mca\_\-ptl\_\-base\_\-send\_\-frag\_\-t} (Base type for send fragment descriptors )}{\pageref{structmca__ptl__base__send__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__base__send__request__t}{mca\_\-ptl\_\-base\_\-send\_\-request\_\-t} (Base type for send requests )}{\pageref{structmca__ptl__base__send__request__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__gm__addr__t}{mca\_\-ptl\_\-gm\_\-addr\_\-t} (Structure used to publish GM id information to peers )}{\pageref{structmca__ptl__gm__addr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__gm__component__t}{mca\_\-ptl\_\-gm\_\-component\_\-t} (GM PTL component )}{\pageref{structmca__ptl__gm__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__gm__module__t}{mca\_\-ptl\_\-gm\_\-module\_\-t} (GM PTL Interface )}{\pageref{structmca__ptl__gm__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__gm__peer__t}{mca\_\-ptl\_\-gm\_\-peer\_\-t} (An abstraction that represents a connection to a peer process )}{\pageref{structmca__ptl__gm__peer__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__gm__send__frag__t}{mca\_\-ptl\_\-gm\_\-send\_\-frag\_\-t} (GM send fragment derived type )}{\pageref{structmca__ptl__gm__send__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__llc__addr__t}{mca\_\-ptl\_\-llc\_\-addr\_\-t} (Structure used to publish LLC connection information to peers )}{\pageref{structmca__ptl__llc__addr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__llc__component__t}{mca\_\-ptl\_\-llc\_\-component\_\-t} (LLC PTL module )}{\pageref{structmca__ptl__llc__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__llc__module__t}{mca\_\-ptl\_\-llc\_\-module\_\-t} (LLC PTL Interface )}{\pageref{structmca__ptl__llc__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__llc__proc__t}{mca\_\-ptl\_\-llc\_\-proc\_\-t} (Represents the state of a remote process and the set of addresses that it exports )}{\pageref{structmca__ptl__llc__proc__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__llc__recv__frag__t}{mca\_\-ptl\_\-llc\_\-recv\_\-frag\_\-t} (LLC received fragment derived type )}{\pageref{structmca__ptl__llc__recv__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__llc__send__frag__t}{mca\_\-ptl\_\-llc\_\-send\_\-frag\_\-t} (LLC send fragment derived type )}{\pageref{structmca__ptl__llc__send__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__llc__send__request__t}{mca\_\-ptl\_\-llc\_\-send\_\-request\_\-t} (LLC send request derived type )}{\pageref{structmca__ptl__llc__send__request__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__mx__component__t}{mca\_\-ptl\_\-mx\_\-component\_\-t} (Myricom MX PTL component )}{\pageref{structmca__ptl__mx__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__mx__module__t}{mca\_\-ptl\_\-mx\_\-module\_\-t} (Myricom MX PTL module )}{\pageref{structmca__ptl__mx__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__mx__proc__t}{mca\_\-ptl\_\-mx\_\-proc\_\-t} (Represents the state of a remote process and the set of addresses that it exports )}{\pageref{structmca__ptl__mx__proc__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__mx__recv__frag__t}{mca\_\-ptl\_\-mx\_\-recv\_\-frag\_\-t} (MX received fragment derived type )}{\pageref{structmca__ptl__mx__recv__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__mx__send__frag__t}{mca\_\-ptl\_\-mx\_\-send\_\-frag\_\-t} (MX send fragment derived type )}{\pageref{structmca__ptl__mx__send__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__proc__t}{mca\_\-ptl\_\-proc\_\-t} (A data structure associated with a ompi\_\-proc\_\-t that caches addressing/scheduling attributes for a specific PTL instance that can be used to reach the process )}{\pageref{structmca__ptl__proc__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__self__component__t}{mca\_\-ptl\_\-self\_\-component\_\-t} (SELF PTL component )}{\pageref{structmca__ptl__self__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__self__send__request__t}{mca\_\-ptl\_\-self\_\-send\_\-request\_\-t} (Self send request derived type )}{\pageref{structmca__ptl__self__send__request__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__sm__component__t}{mca\_\-ptl\_\-sm\_\-component\_\-t} (Shared Memory (SM) PTL module )}{\pageref{structmca__ptl__sm__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__sm__frag__t}{mca\_\-ptl\_\-sm\_\-frag\_\-t} (Shared memory received fragment derived type - because of the way lists are initialized in Open MPI, this is good only for the first fragment )}{\pageref{structmca__ptl__sm__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__sm__recv__frag__t}{mca\_\-ptl\_\-sm\_\-recv\_\-frag\_\-t} (Shared memory received fragment derived type )}{\pageref{structmca__ptl__sm__recv__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__sm__send__frag__t}{mca\_\-ptl\_\-sm\_\-send\_\-frag\_\-t} (Shared memory send fragment derived type )}{\pageref{structmca__ptl__sm__send__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__sm__send__request__t}{mca\_\-ptl\_\-sm\_\-send\_\-request\_\-t} (Shared Memory (SM) send request derived type )}{\pageref{structmca__ptl__sm__send__request__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__sm__t}{mca\_\-ptl\_\-sm\_\-t} (SM PTL Interface )}{\pageref{structmca__ptl__sm__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__tcp__addr__t}{mca\_\-ptl\_\-tcp\_\-addr\_\-t} (Structure used to publish TCP connection information to peers )}{\pageref{structmca__ptl__tcp__addr__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__tcp__component__t}{mca\_\-ptl\_\-tcp\_\-component\_\-t} (TCP PTL module )}{\pageref{structmca__ptl__tcp__component__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__tcp__module__t}{mca\_\-ptl\_\-tcp\_\-module\_\-t} (TCP PTL Interface )}{\pageref{structmca__ptl__tcp__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__tcp__proc__t}{mca\_\-ptl\_\-tcp\_\-proc\_\-t} (Represents the state of a remote process and the set of addresses that it exports )}{\pageref{structmca__ptl__tcp__proc__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__tcp__recv__frag__t}{mca\_\-ptl\_\-tcp\_\-recv\_\-frag\_\-t} (TCP received fragment derived type )}{\pageref{structmca__ptl__tcp__recv__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__tcp__send__frag__t}{mca\_\-ptl\_\-tcp\_\-send\_\-frag\_\-t} (TCP send fragment derived type )}{\pageref{structmca__ptl__tcp__send__frag__t}}{}
\item\contentsline{section}{\hyperlink{structmca__ptl__tcp__send__request__t}{mca\_\-ptl\_\-tcp\_\-send\_\-request\_\-t} (TCP send request derived type )}{\pageref{structmca__ptl__tcp__send__request__t}}{}
\item\contentsline{section}{\hyperlink{structmca__rcache__base__component__1__0__0__t}{mca\_\-rcache\_\-base\_\-component\_\-1\_\-0\_\-0\_\-t} (Rcache component descriptor )}{\pageref{structmca__rcache__base__component__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structmca__rcache__base__module__t}{mca\_\-rcache\_\-base\_\-module\_\-t} (Rcache module descriptor )}{\pageref{structmca__rcache__base__module__t}}{}
\item\contentsline{section}{\hyperlink{structmca__rcache__rb__tree__item__t}{mca\_\-rcache\_\-rb\_\-tree\_\-item\_\-t} (The item in the rb\_\-tree itself )}{\pageref{structmca__rcache__rb__tree__item__t}}{}
\item\contentsline{section}{\hyperlink{structmca__rcache__rb__tree__key__t}{mca\_\-rcache\_\-rb\_\-tree\_\-key\_\-t} (Holds the key for the tree )}{\pageref{structmca__rcache__rb__tree__key__t}}{}
\item\contentsline{section}{\hyperlink{unionompi__attribute__fortran__ptr__t}{ompi\_\-attribute\_\-fortran\_\-ptr\_\-t} (Union to help convert between Fortran attributes (which must be stored by value) and C pointers (which is the back-end storage of all attributes) )}{\pageref{unionompi__attribute__fortran__ptr__t}}{}
\item\contentsline{section}{\hyperlink{structompi__errclass__t}{ompi\_\-errclass\_\-t} (Back-end type for MPI error class )}{\pageref{structompi__errclass__t}}{}
\item\contentsline{section}{\hyperlink{structompi__errcode__intern__t}{ompi\_\-errcode\_\-intern\_\-t} (Back-end type for MPI error codes )}{\pageref{structompi__errcode__intern__t}}{}
\item\contentsline{section}{\hyperlink{structompi__errhandler__t}{ompi\_\-errhandler\_\-t} (Back-end type for MPI\_\-Errorhandler )}{\pageref{structompi__errhandler__t}}{}
\item\contentsline{section}{\hyperlink{structompi__file__t}{ompi\_\-file\_\-t} (Back-end structure for MPI\_\-File )}{\pageref{structompi__file__t}}{}
\item\contentsline{section}{\hyperlink{structompi__group__t}{ompi\_\-group\_\-t} (Group structure )}{\pageref{structompi__group__t}}{}
\item\contentsline{section}{\hyperlink{structompi__mpi__errcode__t}{ompi\_\-mpi\_\-errcode\_\-t} (Back-end type for MPI error codes )}{\pageref{structompi__mpi__errcode__t}}{}
\item\contentsline{section}{\hyperlink{structompi__op__t}{ompi\_\-op\_\-t} (Back-end type of MPI\_\-Op )}{\pageref{structompi__op__t}}{}
\item\contentsline{section}{\hyperlink{structompi__pointer__array__t}{ompi\_\-pointer\_\-array\_\-t} (Dynamic pointer array )}{\pageref{structompi__pointer__array__t}}{}
\item\contentsline{section}{\hyperlink{structompi__rb__tree__node__t}{ompi\_\-rb\_\-tree\_\-node\_\-t} (Node data structure )}{\pageref{structompi__rb__tree__node__t}}{}
\item\contentsline{section}{\hyperlink{structompi__rb__tree__t}{ompi\_\-rb\_\-tree\_\-t} (Data structure that holds all the needed information about the tree )}{\pageref{structompi__rb__tree__t}}{}
\item\contentsline{section}{\hyperlink{structompi__request__t}{ompi\_\-request\_\-t} (Main top-level request struct definition )}{\pageref{structompi__request__t}}{}
\item\contentsline{section}{\hyperlink{structopal__atomic__lock__t}{opal\_\-atomic\_\-lock\_\-t} (Volatile lock object (with optional padding) )}{\pageref{structopal__atomic__lock__t}}{}
\item\contentsline{section}{\hyperlink{structopal__class__t}{opal\_\-class\_\-t} (Class descriptor )}{\pageref{structopal__class__t}}{}
\item\contentsline{section}{\hyperlink{structopal__cmd__line__init__t}{opal\_\-cmd\_\-line\_\-init\_\-t} (Datatype used to construct a command line handle; see \hyperlink{cmd__line_8h_a10}{opal\_\-cmd\_\-line\_\-create()} )}{\pageref{structopal__cmd__line__init__t}}{}
\item\contentsline{section}{\hyperlink{structopal__maffinity__base__component__1__0__0__t}{opal\_\-maffinity\_\-base\_\-component\_\-1\_\-0\_\-0\_\-t} (Structure for maffinity v1.0.0 components )}{\pageref{structopal__maffinity__base__component__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structopal__maffinity__base__module__1__0__0__t}{opal\_\-maffinity\_\-base\_\-module\_\-1\_\-0\_\-0\_\-t} (Structure for maffinity v1.0.0 modules )}{\pageref{structopal__maffinity__base__module__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structopal__maffinity__base__segment__t}{opal\_\-maffinity\_\-base\_\-segment\_\-t} (Struct used with opal\_\-maffinity\_\-base\_\-module\_\-set\_\-fn\_\-t )}{\pageref{structopal__maffinity__base__segment__t}}{}
\item\contentsline{section}{\hyperlink{structopal__memory__base__component__1__0__0__t}{opal\_\-memory\_\-base\_\-component\_\-1\_\-0\_\-0\_\-t} (Structure for memory v1.0.0 components )}{\pageref{structopal__memory__base__component__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structopal__object__t}{opal\_\-object\_\-t} (Base object )}{\pageref{structopal__object__t}}{}
\item\contentsline{section}{\hyperlink{structopal__output__stream__t}{opal\_\-output\_\-stream\_\-t} (Structure used to request the opening of a OPAL output stream )}{\pageref{structopal__output__stream__t}}{}
\item\contentsline{section}{\hyperlink{structopal__paffinity__base__component__1__0__0__t}{opal\_\-paffinity\_\-base\_\-component\_\-1\_\-0\_\-0\_\-t} (Structure for paffinity v1.0.0 components )}{\pageref{structopal__paffinity__base__component__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structopal__paffinity__base__module__1__0__0__t}{opal\_\-paffinity\_\-base\_\-module\_\-1\_\-0\_\-0\_\-t} (Structure for paffinity v1.0.0 modules )}{\pageref{structopal__paffinity__base__module__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structopal__timer__base__component__1__0__0__t}{opal\_\-timer\_\-base\_\-component\_\-1\_\-0\_\-0\_\-t} (Structure for timer v1.0.0 components )}{\pageref{structopal__timer__base__component__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structorte__app__context__map__t}{orte\_\-app\_\-context\_\-map\_\-t} (Information about mapping requested by the user )}{\pageref{structorte__app__context__map__t}}{}
\item\contentsline{section}{\hyperlink{structorte__app__context__t}{orte\_\-app\_\-context\_\-t} (Information about a specific application to be launched in the RTE )}{\pageref{structorte__app__context__t}}{}
\item\contentsline{section}{\hyperlink{structorte__buffer__t}{orte\_\-buffer\_\-t} (Structure for holding a buffer to be used with the RML or OOB subsystems )}{\pageref{structorte__buffer__t}}{}
\item\contentsline{section}{\hyperlink{structorte__dps__t}{orte\_\-dps\_\-t} (Base structure for the DPS )}{\pageref{structorte__dps__t}}{}
\item\contentsline{section}{\hyperlink{structorte__dps__type__info__t}{orte\_\-dps\_\-type\_\-info\_\-t} (Internal struct used for holding registered dps functions )}{\pageref{structorte__dps__type__info__t}}{}
\item\contentsline{section}{\hyperlink{structorte__gpr__notify__data__t}{orte\_\-gpr\_\-notify\_\-data\_\-t} (Return structure for notification messages A notification message contains data from each registered subscription structure )}{\pageref{structorte__gpr__notify__data__t}}{}
\item\contentsline{section}{\hyperlink{structorte__gpr__replica__container__t}{orte\_\-gpr\_\-replica\_\-container\_\-t} (The core registry structure )}{\pageref{structorte__gpr__replica__container__t}}{}
\item\contentsline{section}{\hyperlink{structorte__gpr__replica__list__t}{orte\_\-gpr\_\-replica\_\-list\_\-t} (List of replicas that hold a stored entry )}{\pageref{structorte__gpr__replica__list__t}}{}
\item\contentsline{section}{\hyperlink{structorte__gpr__replica__segment__t}{orte\_\-gpr\_\-replica\_\-segment\_\-t} (Registry segment definition )}{\pageref{structorte__gpr__replica__segment__t}}{}
\item\contentsline{section}{\hyperlink{structorte__gpr__replica__write__invalidate__t}{orte\_\-gpr\_\-replica\_\-write\_\-invalidate\_\-t} (Write invalidate structure )}{\pageref{structorte__gpr__replica__write__invalidate__t}}{}
\item\contentsline{section}{\hyperlink{structorte__gpr__subscription__t}{orte\_\-gpr\_\-subscription\_\-t} (Structure for registering subscriptions A request to be notified when certain events occur, or when counters reach specified values, is registered on the registry via a subscription request )}{\pageref{structorte__gpr__subscription__t}}{}
\item\contentsline{section}{\hyperlink{structorte__gpr__trigger__t}{orte\_\-gpr\_\-trigger\_\-t} (Structure for registering triggers A trigger causes the associated subscriptions to be executed at a specified event, such as when counters reach specified values )}{\pageref{structorte__gpr__trigger__t}}{}
\item\contentsline{section}{\hyperlink{structorte__gpr__value__t}{orte\_\-gpr\_\-value\_\-t} (Return value structure for registry requests )}{\pageref{structorte__gpr__value__t}}{}
\item\contentsline{section}{\hyperlink{structorte__iof__base__common__header__t}{orte\_\-iof\_\-base\_\-common\_\-header\_\-t} (Fields common to all headers )}{\pageref{structorte__iof__base__common__header__t}}{}
\item\contentsline{section}{\hyperlink{structorte__iof__base__endpoint__t}{orte\_\-iof\_\-base\_\-endpoint\_\-t} (Structure that represents a published endpoint )}{\pageref{structorte__iof__base__endpoint__t}}{}
\item\contentsline{section}{\hyperlink{structorte__iof__base__frag__t}{orte\_\-iof\_\-base\_\-frag\_\-t} (Fragment used to hold message header/data )}{\pageref{structorte__iof__base__frag__t}}{}
\item\contentsline{section}{\hyperlink{unionorte__iof__base__header__t}{orte\_\-iof\_\-base\_\-header\_\-t} (Union of all header types )}{\pageref{unionorte__iof__base__header__t}}{}
\item\contentsline{section}{\hyperlink{structorte__iof__base__module__1__0__0__t}{orte\_\-iof\_\-base\_\-module\_\-1\_\-0\_\-0\_\-t} (IOF module )}{\pageref{structorte__iof__base__module__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structorte__iof__base__msg__header__t}{orte\_\-iof\_\-base\_\-msg\_\-header\_\-t} (Header for data )}{\pageref{structorte__iof__base__msg__header__t}}{}
\item\contentsline{section}{\hyperlink{structorte__iof__base__pub__header__t}{orte\_\-iof\_\-base\_\-pub\_\-header\_\-t} (Publish/Unpublish )}{\pageref{structorte__iof__base__pub__header__t}}{}
\item\contentsline{section}{\hyperlink{structorte__iof__base__sub__header__t}{orte\_\-iof\_\-base\_\-sub\_\-header\_\-t} (Subscription message )}{\pageref{structorte__iof__base__sub__header__t}}{}
\item\contentsline{section}{\hyperlink{structorte__iof__proxy__component__t}{orte\_\-iof\_\-proxy\_\-component\_\-t} (IOF proxy Component )}{\pageref{structorte__iof__proxy__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__iof__svc__component__t}{orte\_\-iof\_\-svc\_\-component\_\-t} (IOF svc Component )}{\pageref{structorte__iof__svc__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__iof__svc__fwd__t}{orte\_\-iof\_\-svc\_\-fwd\_\-t} (A subscription routes data from a specified set of source endpoints to one or more destination endpoints )}{\pageref{structorte__iof__svc__fwd__t}}{}
\item\contentsline{section}{\hyperlink{structorte__iof__svc__pub__t}{orte\_\-iof\_\-svc\_\-pub\_\-t} (Endpoints that are sinks of data are published by the processes that is acting as a proxy for the destination application )}{\pageref{structorte__iof__svc__pub__t}}{}
\item\contentsline{section}{\hyperlink{structorte__name__services__namelist__t}{orte\_\-name\_\-services\_\-namelist\_\-t} (List of names for general use )}{\pageref{structorte__name__services__namelist__t}}{}
\item\contentsline{section}{\hyperlink{structorte__pls__base__cmp__t}{orte\_\-pls\_\-base\_\-cmp\_\-t} (Pls component/module/priority tuple )}{\pageref{structorte__pls__base__cmp__t}}{}
\item\contentsline{section}{\hyperlink{structorte__pls__base__component__1__0__0__t}{orte\_\-pls\_\-base\_\-component\_\-1\_\-0\_\-0\_\-t} (Pls component v1.0.0 )}{\pageref{structorte__pls__base__component__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structorte__pls__base__module__1__0__0__t}{orte\_\-pls\_\-base\_\-module\_\-1\_\-0\_\-0\_\-t} (Pls module version 1.0.0 )}{\pageref{structorte__pls__base__module__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structorte__pls__base__t}{orte\_\-pls\_\-base\_\-t} (Struct to hold data globale to the pls framework )}{\pageref{structorte__pls__base__t}}{}
\item\contentsline{section}{\hyperlink{structorte__pls__bproc__component__t}{orte\_\-pls\_\-bproc\_\-component\_\-t} (PLS bproc Component )}{\pageref{structorte__pls__bproc__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__pls__bproc__orted__component__t}{orte\_\-pls\_\-bproc\_\-orted\_\-component\_\-t} (PLS bproc\_\-orted component )}{\pageref{structorte__pls__bproc__orted__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__pls__fork__component__t}{orte\_\-pls\_\-fork\_\-component\_\-t} (PLS Component )}{\pageref{structorte__pls__fork__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__pls__poe__component__t}{orte\_\-pls\_\-poe\_\-component\_\-t} (PLS Component )}{\pageref{structorte__pls__poe__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__pls__rsh__component__t}{orte\_\-pls\_\-rsh\_\-component\_\-t} (PLS Component )}{\pageref{structorte__pls__rsh__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__pls__xgrid__component__t}{orte\_\-pls\_\-xgrid\_\-component\_\-t} (PLS Component )}{\pageref{structorte__pls__xgrid__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__pointer__array__t}{orte\_\-pointer\_\-array\_\-t} (Dynamic pointer array )}{\pageref{structorte__pointer__array__t}}{}
\item\contentsline{section}{\hyperlink{structorte__proc__info__t}{orte\_\-proc\_\-info\_\-t} (Process information structure )}{\pageref{structorte__proc__info__t}}{}
\item\contentsline{section}{\hyperlink{structorte__ras__base__component__1__0__0__t}{orte\_\-ras\_\-base\_\-component\_\-1\_\-0\_\-0\_\-t} (Ras component version 1.0.0 )}{\pageref{structorte__ras__base__component__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structorte__ras__base__module__1__0__0__t}{orte\_\-ras\_\-base\_\-module\_\-1\_\-0\_\-0\_\-t} (Ras module version 1.0.0 )}{\pageref{structorte__ras__base__module__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structorte__ras__bjs__component__t}{orte\_\-ras\_\-bjs\_\-component\_\-t} (RAS Component )}{\pageref{structorte__ras__bjs__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__ras__dash__host__component__t}{orte\_\-ras\_\-dash\_\-host\_\-component\_\-t} (Dash\_\-host-specific RAS component struct )}{\pageref{structorte__ras__dash__host__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__ras__hostfile__component__t}{orte\_\-ras\_\-hostfile\_\-component\_\-t} (Hostfile-specific RAS component struct )}{\pageref{structorte__ras__hostfile__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__ras__localhost__component__t}{orte\_\-ras\_\-localhost\_\-component\_\-t} (Localhost-specific RAS component struct )}{\pageref{structorte__ras__localhost__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__ras__lsf__bproc__component__t}{orte\_\-ras\_\-lsf\_\-bproc\_\-component\_\-t} (RAS Component )}{\pageref{structorte__ras__lsf__bproc__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__ras__node__t}{orte\_\-ras\_\-node\_\-t} (Struct for holding information about a node (a local copy of what is in the node segment in the registry) )}{\pageref{structorte__ras__node__t}}{}
\item\contentsline{section}{\hyperlink{structorte__rds__hostfile__component__t}{orte\_\-rds\_\-hostfile\_\-component\_\-t} (Resource Discovery Component )}{\pageref{structorte__rds__hostfile__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__rds__resfile__component__t}{orte\_\-rds\_\-resfile\_\-component\_\-t} (RDS Resource file Component )}{\pageref{structorte__rds__resfile__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__rmaps__base__cmp__t}{orte\_\-rmaps\_\-base\_\-cmp\_\-t} (RMAPS component/module/priority tuple )}{\pageref{structorte__rmaps__base__cmp__t}}{}
\item\contentsline{section}{\hyperlink{structorte__rmaps__base__component__1__0__0__t}{orte\_\-rmaps\_\-base\_\-component\_\-1\_\-0\_\-0\_\-t} (Rmaps component version 1.0.0 )}{\pageref{structorte__rmaps__base__component__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structorte__rmaps__base__node__t}{orte\_\-rmaps\_\-base\_\-node\_\-t} (RMAPS )}{\pageref{structorte__rmaps__base__node__t}}{}
\item\contentsline{section}{\hyperlink{structorte__rmaps__base__t}{orte\_\-rmaps\_\-base\_\-t} (Struct to hold data global to the rmaps framework )}{\pageref{structorte__rmaps__base__t}}{}
\item\contentsline{section}{\hyperlink{structorte__rmaps__round__robin__component__t}{orte\_\-rmaps\_\-round\_\-robin\_\-component\_\-t} (RMGR Component )}{\pageref{structorte__rmaps__round__robin__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__rmgr__proxy__component__t}{orte\_\-rmgr\_\-proxy\_\-component\_\-t} (URM component structure -- add some stuff beyond what is in the normal rmgr component )}{\pageref{structorte__rmgr__proxy__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__rmgr__urm__component__t}{orte\_\-rmgr\_\-urm\_\-component\_\-t} (URM component structure -- add some stuff beyond what is in the normal rmgr component )}{\pageref{structorte__rmgr__urm__component__t}}{}
\item\contentsline{section}{\hyperlink{structorte__rml__component__1__0__0__t}{orte\_\-rml\_\-component\_\-1\_\-0\_\-0\_\-t} (Standard component data structure )}{\pageref{structorte__rml__component__1__0__0__t}}{}
\item\contentsline{section}{\hyperlink{structorte__rml__module__t}{orte\_\-rml\_\-module\_\-t} (RML Module )}{\pageref{structorte__rml__module__t}}{}
\item\contentsline{section}{\hyperlink{structorte__sys__info__t}{orte\_\-sys\_\-info\_\-t} (System information structure )}{\pageref{structorte__sys__info__t}}{}
\end{CompactList}
